Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue.cpp	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue.cpp	(revision 123)
@@ -39,9 +39,9 @@
     usage_environment(_usage);
 
-#if DEBUG_Issue_queue == true
-    log_printf(INFO,Issue_queue,FUNCTION,_("<%s> Parameters"),_name.c_str());
+// #if DEBUG_Issue_queue == true
+//     log_printf(INFO,Issue_queue,FUNCTION,_("<%s> Parameters"),_name.c_str());
 
-    std::cout << *param << std::endl;
-#endif    
+//     std::cout << *param << std::endl;
+// #endif    
 
     log_printf(INFO,Issue_queue,FUNCTION,_("<%s> : Allocation"),_name.c_str());
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_function_in_order_genMealy_issue_out.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_function_in_order_genMealy_issue_out.cpp	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_function_in_order_genMealy_issue_out.cpp	(revision 123)
@@ -24,8 +24,9 @@
     log_function(Issue_queue,FUNCTION,_name.c_str());
 
+    if (PORT_READ(in_NRESET))
     // ===================================================================
     // =====[ ISSUE_OUT ]=================================================
     // ===================================================================
-    {
+      {
       Tcontrol_t val [_param->_nb_inst_issue];
 
@@ -175,4 +176,12 @@
         }
     }
+    else
+      {
+      for (uint32_t i=0; i<_param->_nb_inst_issue; i++)
+        internal_ISSUE_OUT_VAL [i] = 0;
+      }
+
+    for (uint32_t i=0; i<_param->_nb_inst_issue; i++)
+      PORT_WRITE(out_ISSUE_OUT_VAL [i], internal_ISSUE_OUT_VAL [i]);
 
     log_end(Issue_queue,FUNCTION);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_function_in_order_genMoore.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_function_in_order_genMoore.cpp	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_function_in_order_genMoore.cpp	(revision 123)
@@ -38,4 +38,6 @@
           internal_ISSUE_IN_ACK [i][j] = false;
 
+      if (PORT_READ(in_NRESET))
+        {
       std::list<generic::priority::select_t> * select_in = _priority_in ->select(); // same select for all issue
       std::list<generic::priority::select_t>::iterator it=select_in ->begin();
@@ -62,5 +64,6 @@
           nb_insert ++;
         }
-      
+        }
+
       for (uint32_t i=0; i<_param->_nb_rename_unit; i++)
         for (uint32_t j=0; j<_param->_nb_inst_rename[i]; j++)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_function_out_of_order_genMoore.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_function_out_of_order_genMoore.cpp	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_function_out_of_order_genMoore.cpp	(revision 123)
@@ -24,4 +24,6 @@
     log_function(Issue_queue,FUNCTION,_name.c_str());
 
+    if (PORT_READ(in_NRESET))
+      {
     // ===================================================================
     // =====[ REEXECUTE_UNIT ]============================================
@@ -217,7 +219,34 @@
         {
           internal_ISSUE_OUT_VAL [i] = val [i];
+        }
+    }
+      }
+    else
+      {
+        // Reset
+        for (uint32_t i=0; i<_param->_nb_bank; i++)
+          {
+            internal_BANK_IN_ACK  [i] = 0;
+//             internal_BANK_IN_NUM_RENAME_UNIT [num_bank] = num_rename_unit;
+//             internal_BANK_IN_NUM_INST        [num_bank] = num_inst_rename;
+          }
+        for (uint32_t i=0; i<_param->_nb_rename_unit; i++)
+          for (uint32_t j=0; j<_param->_nb_inst_rename[i]; j++)
+            PORT_WRITE(out_ISSUE_IN_ACK [i][j],0);
+
+          for (uint32_t i=0; i<_param->_nb_inst_issue; i++)
+            {
+              internal_ISSUE_OUT_VAL [i] = 0;
+//            internal_ISSUE_OUT_FROM_REEXECUTE [i] = true;
+//            internal_ISSUE_OUT_NUM_BANK       [i] = num_bank;
+//            internal_ISSUE_OUT_ENTRY          [i] = entry;
+            }
+      }
+
+    // Write output
+      for (uint32_t i=0; i<_param->_nb_inst_issue; i++)
+        {
           PORT_WRITE(out_ISSUE_OUT_VAL [i], internal_ISSUE_OUT_VAL [i]);
         }
-    }
 
     log_end(Issue_queue,FUNCTION);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_genMoore.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_genMoore.cpp	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_genMoore.cpp	(revision 123)
@@ -24,4 +24,6 @@
     log_function(Issue_queue,FUNCTION,_name.c_str());
 
+    if (PORT_READ(in_NRESET))
+      {
     // ===================================================================
     // =====[ REEXECUTE_UNIT ]============================================
@@ -35,7 +37,17 @@
 
         log_printf(TRACE,Issue_queue,FUNCTION,"    * ACK : %d",internal_REEXECUTE_ACK [i]);
+      }
 
-        PORT_WRITE(out_REEXECUTE_ACK [i], internal_REEXECUTE_ACK [i]);
       }
+    else
+      {
+        // Reset
+        for (uint32_t i=0; i<_param->_nb_inst_reexecute; ++i)
+          internal_REEXECUTE_ACK [i] = 0;
+      }
+
+    // Write Output
+    for (uint32_t i=0; i<_param->_nb_inst_reexecute; ++i)
+      PORT_WRITE(out_REEXECUTE_ACK [i], internal_REEXECUTE_ACK [i]);
 
     (this->*function_genMoore) ();
